Skip to navigation

Modify a Card User

Updates an existing Card User’s information, such as the residential address, phone, or email. After a Card User’s information is updated, a status change notification might be sent within eight calendar days due to the Card User’s status changing during the regular risk reviews performed using the updated information.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Path parameters

cardUserIdstringRequired<=38 characters
A unique ID that is created for the Card User.

Request

This endpoint expects an object.
buyerIdstringRequired<=36 characters
A unique Buyer ID that is created during the Buyer enrollment.
nameobjectRequired
The name of the Card User.
dateOfBirthstringRequired

The Date of Birth of the Card User in YYYY-MM-DD format.

emaillist of objectsRequired

The email of the Card User; currently supports only one email.

phonelist of objectsRequired

The phone details of the Card User; currently supports only one phone.

addresslist of objectsRequired

The residential address of the Card User; currently supports only one address with the type RESIDENCE. P.O. boxes or commercial mail-receiving agencies are prohibited. The address will be validated using the USPS address validation API.

expressConsentObtainedbooleanRequired
The Card User's consent to send their PII to American Express for verification.
employeeIdstringOptional<=20 characters
The unique ID assigned by the Buyer resource to the Card User being enrolled. Alphabetic characters, spaces and numbers are allowed.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
cardUserIdstring<=38 characters
A unique ID that is created for the Card User.
cardUserobject
The Card User request being returned.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error